IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.224.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
2.224.0.0- Broadcast address
2.227.255.255- First usable
2.224.0.1- Last usable
2.227.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02E00000· Integer48234496to48496639 - Reverse DNS zones
224.2.in-addr.arpa225.2.in-addr.arpa226.2.in-addr.arpa227.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11100000.00000000.00000000 | 2.224.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000010.11100000.00000000.00000000 | 2.224.0.0 |
| Broadcast | 00000010.11100011.11111111.11111111 | 2.227.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
2.224.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.224.0.0/23 | 2.224.0.1 to 2.224.1.254 | 2.224.1.255 | 510 |
| 2 | 2.224.2.0/23 | 2.224.2.1 to 2.224.3.254 | 2.224.3.255 | 510 |
| 3 | 2.224.4.0/23 | 2.224.4.1 to 2.224.5.254 | 2.224.5.255 | 510 |
| 4 | 2.224.6.0/23 | 2.224.6.1 to 2.224.7.254 | 2.224.7.255 | 510 |
| 5 | 2.224.8.0/23 | 2.224.8.1 to 2.224.9.254 | 2.224.9.255 | 510 |
| 6 | 2.224.10.0/23 | 2.224.10.1 to 2.224.11.254 | 2.224.11.255 | 510 |
| 7 | 2.224.12.0/23 | 2.224.12.1 to 2.224.13.254 | 2.224.13.255 | 510 |
| 8 | 2.224.14.0/23 | 2.224.14.1 to 2.224.15.254 | 2.224.15.255 | 510 |
| 9 | 2.224.16.0/23 | 2.224.16.1 to 2.224.17.254 | 2.224.17.255 | 510 |
| 10 | 2.224.18.0/23 | 2.224.18.1 to 2.224.19.254 | 2.224.19.255 | 510 |
| 11 | 2.224.20.0/23 | 2.224.20.1 to 2.224.21.254 | 2.224.21.255 | 510 |
| 12 | 2.224.22.0/23 | 2.224.22.1 to 2.224.23.254 | 2.224.23.255 | 510 |
| 13 | 2.224.24.0/23 | 2.224.24.1 to 2.224.25.254 | 2.224.25.255 | 510 |
| 14 | 2.224.26.0/23 | 2.224.26.1 to 2.224.27.254 | 2.224.27.255 | 510 |
| 15 | 2.224.28.0/23 | 2.224.28.1 to 2.224.29.254 | 2.224.29.255 | 510 |
| 16 | 2.224.30.0/23 | 2.224.30.1 to 2.224.31.254 | 2.224.31.255 | 510 |
| 17 | 2.224.32.0/23 | 2.224.32.1 to 2.224.33.254 | 2.224.33.255 | 510 |
| 18 | 2.224.34.0/23 | 2.224.34.1 to 2.224.35.254 | 2.224.35.255 | 510 |
| 19 | 2.224.36.0/23 | 2.224.36.1 to 2.224.37.254 | 2.224.37.255 | 510 |
| 20 | 2.224.38.0/23 | 2.224.38.1 to 2.224.39.254 | 2.224.39.255 | 510 |
| 21 | 2.224.40.0/23 | 2.224.40.1 to 2.224.41.254 | 2.224.41.255 | 510 |
| 22 | 2.224.42.0/23 | 2.224.42.1 to 2.224.43.254 | 2.224.43.255 | 510 |
| 23 | 2.224.44.0/23 | 2.224.44.1 to 2.224.45.254 | 2.224.45.255 | 510 |
| 24 | 2.224.46.0/23 | 2.224.46.1 to 2.224.47.254 | 2.224.47.255 | 510 |
| 25 | 2.224.48.0/23 | 2.224.48.1 to 2.224.49.254 | 2.224.49.255 | 510 |
| 26 | 2.224.50.0/23 | 2.224.50.1 to 2.224.51.254 | 2.224.51.255 | 510 |
| 27 | 2.224.52.0/23 | 2.224.52.1 to 2.224.53.254 | 2.224.53.255 | 510 |
| 28 | 2.224.54.0/23 | 2.224.54.1 to 2.224.55.254 | 2.224.55.255 | 510 |
| 29 | 2.224.56.0/23 | 2.224.56.1 to 2.224.57.254 | 2.224.57.255 | 510 |
| 30 | 2.224.58.0/23 | 2.224.58.1 to 2.224.59.254 | 2.224.59.255 | 510 |
| 31 | 2.224.60.0/23 | 2.224.60.1 to 2.224.61.254 | 2.224.61.255 | 510 |
| 32 | 2.224.62.0/23 | 2.224.62.1 to 2.224.63.254 | 2.224.63.255 | 510 |
| 33 | 2.224.64.0/23 | 2.224.64.1 to 2.224.65.254 | 2.224.65.255 | 510 |
| 34 | 2.224.66.0/23 | 2.224.66.1 to 2.224.67.254 | 2.224.67.255 | 510 |
| 35 | 2.224.68.0/23 | 2.224.68.1 to 2.224.69.254 | 2.224.69.255 | 510 |
| 36 | 2.224.70.0/23 | 2.224.70.1 to 2.224.71.254 | 2.224.71.255 | 510 |
| 37 | 2.224.72.0/23 | 2.224.72.1 to 2.224.73.254 | 2.224.73.255 | 510 |
| 38 | 2.224.74.0/23 | 2.224.74.1 to 2.224.75.254 | 2.224.75.255 | 510 |
| 39 | 2.224.76.0/23 | 2.224.76.1 to 2.224.77.254 | 2.224.77.255 | 510 |
| 40 | 2.224.78.0/23 | 2.224.78.1 to 2.224.79.254 | 2.224.79.255 | 510 |
| 41 | 2.224.80.0/23 | 2.224.80.1 to 2.224.81.254 | 2.224.81.255 | 510 |
| 42 | 2.224.82.0/23 | 2.224.82.1 to 2.224.83.254 | 2.224.83.255 | 510 |
| 43 | 2.224.84.0/23 | 2.224.84.1 to 2.224.85.254 | 2.224.85.255 | 510 |
| 44 | 2.224.86.0/23 | 2.224.86.1 to 2.224.87.254 | 2.224.87.255 | 510 |
| 45 | 2.224.88.0/23 | 2.224.88.1 to 2.224.89.254 | 2.224.89.255 | 510 |
| 46 | 2.224.90.0/23 | 2.224.90.1 to 2.224.91.254 | 2.224.91.255 | 510 |
| 47 | 2.224.92.0/23 | 2.224.92.1 to 2.224.93.254 | 2.224.93.255 | 510 |
| 48 | 2.224.94.0/23 | 2.224.94.1 to 2.224.95.254 | 2.224.95.255 | 510 |
| 49 | 2.224.96.0/23 | 2.224.96.1 to 2.224.97.254 | 2.224.97.255 | 510 |
| 50 | 2.224.98.0/23 | 2.224.98.1 to 2.224.99.254 | 2.224.99.255 | 510 |
| 51 | 2.224.100.0/23 | 2.224.100.1 to 2.224.101.254 | 2.224.101.255 | 510 |
| 52 | 2.224.102.0/23 | 2.224.102.1 to 2.224.103.254 | 2.224.103.255 | 510 |
| 53 | 2.224.104.0/23 | 2.224.104.1 to 2.224.105.254 | 2.224.105.255 | 510 |
| 54 | 2.224.106.0/23 | 2.224.106.1 to 2.224.107.254 | 2.224.107.255 | 510 |
| 55 | 2.224.108.0/23 | 2.224.108.1 to 2.224.109.254 | 2.224.109.255 | 510 |
| 56 | 2.224.110.0/23 | 2.224.110.1 to 2.224.111.254 | 2.224.111.255 | 510 |
| 57 | 2.224.112.0/23 | 2.224.112.1 to 2.224.113.254 | 2.224.113.255 | 510 |
| 58 | 2.224.114.0/23 | 2.224.114.1 to 2.224.115.254 | 2.224.115.255 | 510 |
| 59 | 2.224.116.0/23 | 2.224.116.1 to 2.224.117.254 | 2.224.117.255 | 510 |
| 60 | 2.224.118.0/23 | 2.224.118.1 to 2.224.119.254 | 2.224.119.255 | 510 |
| 61 | 2.224.120.0/23 | 2.224.120.1 to 2.224.121.254 | 2.224.121.255 | 510 |
| 62 | 2.224.122.0/23 | 2.224.122.1 to 2.224.123.254 | 2.224.123.255 | 510 |
| 63 | 2.224.124.0/23 | 2.224.124.1 to 2.224.125.254 | 2.224.125.255 | 510 |
| 64 | 2.224.126.0/23 | 2.224.126.1 to 2.224.127.254 | 2.224.127.255 | 510 |
| 65 | 2.224.128.0/23 | 2.224.128.1 to 2.224.129.254 | 2.224.129.255 | 510 |
| 66 | 2.224.130.0/23 | 2.224.130.1 to 2.224.131.254 | 2.224.131.255 | 510 |
| 67 | 2.224.132.0/23 | 2.224.132.1 to 2.224.133.254 | 2.224.133.255 | 510 |
| 68 | 2.224.134.0/23 | 2.224.134.1 to 2.224.135.254 | 2.224.135.255 | 510 |
| 69 | 2.224.136.0/23 | 2.224.136.1 to 2.224.137.254 | 2.224.137.255 | 510 |
| 70 | 2.224.138.0/23 | 2.224.138.1 to 2.224.139.254 | 2.224.139.255 | 510 |
| 71 | 2.224.140.0/23 | 2.224.140.1 to 2.224.141.254 | 2.224.141.255 | 510 |
| 72 | 2.224.142.0/23 | 2.224.142.1 to 2.224.143.254 | 2.224.143.255 | 510 |
| 73 | 2.224.144.0/23 | 2.224.144.1 to 2.224.145.254 | 2.224.145.255 | 510 |
| 74 | 2.224.146.0/23 | 2.224.146.1 to 2.224.147.254 | 2.224.147.255 | 510 |
| 75 | 2.224.148.0/23 | 2.224.148.1 to 2.224.149.254 | 2.224.149.255 | 510 |
| 76 | 2.224.150.0/23 | 2.224.150.1 to 2.224.151.254 | 2.224.151.255 | 510 |
| 77 | 2.224.152.0/23 | 2.224.152.1 to 2.224.153.254 | 2.224.153.255 | 510 |
| 78 | 2.224.154.0/23 | 2.224.154.1 to 2.224.155.254 | 2.224.155.255 | 510 |
| 79 | 2.224.156.0/23 | 2.224.156.1 to 2.224.157.254 | 2.224.157.255 | 510 |
| 80 | 2.224.158.0/23 | 2.224.158.1 to 2.224.159.254 | 2.224.159.255 | 510 |
| 81 | 2.224.160.0/23 | 2.224.160.1 to 2.224.161.254 | 2.224.161.255 | 510 |
| 82 | 2.224.162.0/23 | 2.224.162.1 to 2.224.163.254 | 2.224.163.255 | 510 |
| 83 | 2.224.164.0/23 | 2.224.164.1 to 2.224.165.254 | 2.224.165.255 | 510 |
| 84 | 2.224.166.0/23 | 2.224.166.1 to 2.224.167.254 | 2.224.167.255 | 510 |
| 85 | 2.224.168.0/23 | 2.224.168.1 to 2.224.169.254 | 2.224.169.255 | 510 |
| 86 | 2.224.170.0/23 | 2.224.170.1 to 2.224.171.254 | 2.224.171.255 | 510 |
| 87 | 2.224.172.0/23 | 2.224.172.1 to 2.224.173.254 | 2.224.173.255 | 510 |
| 88 | 2.224.174.0/23 | 2.224.174.1 to 2.224.175.254 | 2.224.175.255 | 510 |
| 89 | 2.224.176.0/23 | 2.224.176.1 to 2.224.177.254 | 2.224.177.255 | 510 |
| 90 | 2.224.178.0/23 | 2.224.178.1 to 2.224.179.254 | 2.224.179.255 | 510 |
| 91 | 2.224.180.0/23 | 2.224.180.1 to 2.224.181.254 | 2.224.181.255 | 510 |
| 92 | 2.224.182.0/23 | 2.224.182.1 to 2.224.183.254 | 2.224.183.255 | 510 |
| 93 | 2.224.184.0/23 | 2.224.184.1 to 2.224.185.254 | 2.224.185.255 | 510 |
| 94 | 2.224.186.0/23 | 2.224.186.1 to 2.224.187.254 | 2.224.187.255 | 510 |
| 95 | 2.224.188.0/23 | 2.224.188.1 to 2.224.189.254 | 2.224.189.255 | 510 |
| 96 | 2.224.190.0/23 | 2.224.190.1 to 2.224.191.254 | 2.224.191.255 | 510 |
| 97 | 2.224.192.0/23 | 2.224.192.1 to 2.224.193.254 | 2.224.193.255 | 510 |
| 98 | 2.224.194.0/23 | 2.224.194.1 to 2.224.195.254 | 2.224.195.255 | 510 |
| 99 | 2.224.196.0/23 | 2.224.196.1 to 2.224.197.254 | 2.224.197.255 | 510 |
| 100 | 2.224.198.0/23 | 2.224.198.1 to 2.224.199.254 | 2.224.199.255 | 510 |
| 101 | 2.224.200.0/23 | 2.224.200.1 to 2.224.201.254 | 2.224.201.255 | 510 |
| 102 | 2.224.202.0/23 | 2.224.202.1 to 2.224.203.254 | 2.224.203.255 | 510 |
| 103 | 2.224.204.0/23 | 2.224.204.1 to 2.224.205.254 | 2.224.205.255 | 510 |
| 104 | 2.224.206.0/23 | 2.224.206.1 to 2.224.207.254 | 2.224.207.255 | 510 |
| 105 | 2.224.208.0/23 | 2.224.208.1 to 2.224.209.254 | 2.224.209.255 | 510 |
| 106 | 2.224.210.0/23 | 2.224.210.1 to 2.224.211.254 | 2.224.211.255 | 510 |
| 107 | 2.224.212.0/23 | 2.224.212.1 to 2.224.213.254 | 2.224.213.255 | 510 |
| 108 | 2.224.214.0/23 | 2.224.214.1 to 2.224.215.254 | 2.224.215.255 | 510 |
| 109 | 2.224.216.0/23 | 2.224.216.1 to 2.224.217.254 | 2.224.217.255 | 510 |
| 110 | 2.224.218.0/23 | 2.224.218.1 to 2.224.219.254 | 2.224.219.255 | 510 |
| 111 | 2.224.220.0/23 | 2.224.220.1 to 2.224.221.254 | 2.224.221.255 | 510 |
| 112 | 2.224.222.0/23 | 2.224.222.1 to 2.224.223.254 | 2.224.223.255 | 510 |
| 113 | 2.224.224.0/23 | 2.224.224.1 to 2.224.225.254 | 2.224.225.255 | 510 |
| 114 | 2.224.226.0/23 | 2.224.226.1 to 2.224.227.254 | 2.224.227.255 | 510 |
| 115 | 2.224.228.0/23 | 2.224.228.1 to 2.224.229.254 | 2.224.229.255 | 510 |
| 116 | 2.224.230.0/23 | 2.224.230.1 to 2.224.231.254 | 2.224.231.255 | 510 |
| 117 | 2.224.232.0/23 | 2.224.232.1 to 2.224.233.254 | 2.224.233.255 | 510 |
| 118 | 2.224.234.0/23 | 2.224.234.1 to 2.224.235.254 | 2.224.235.255 | 510 |
| 119 | 2.224.236.0/23 | 2.224.236.1 to 2.224.237.254 | 2.224.237.255 | 510 |
| 120 | 2.224.238.0/23 | 2.224.238.1 to 2.224.239.254 | 2.224.239.255 | 510 |
| 121 | 2.224.240.0/23 | 2.224.240.1 to 2.224.241.254 | 2.224.241.255 | 510 |
| 122 | 2.224.242.0/23 | 2.224.242.1 to 2.224.243.254 | 2.224.243.255 | 510 |
| 123 | 2.224.244.0/23 | 2.224.244.1 to 2.224.245.254 | 2.224.245.255 | 510 |
| 124 | 2.224.246.0/23 | 2.224.246.1 to 2.224.247.254 | 2.224.247.255 | 510 |
| 125 | 2.224.248.0/23 | 2.224.248.1 to 2.224.249.254 | 2.224.249.255 | 510 |
| 126 | 2.224.250.0/23 | 2.224.250.1 to 2.224.251.254 | 2.224.251.255 | 510 |
| 127 | 2.224.252.0/23 | 2.224.252.1 to 2.224.253.254 | 2.224.253.255 | 510 |
| 128 | 2.224.254.0/23 | 2.224.254.1 to 2.224.255.254 | 2.224.255.255 | 510 |
| 129 | 2.225.0.0/23 | 2.225.0.1 to 2.225.1.254 | 2.225.1.255 | 510 |
| 130 | 2.225.2.0/23 | 2.225.2.1 to 2.225.3.254 | 2.225.3.255 | 510 |
| 131 | 2.225.4.0/23 | 2.225.4.1 to 2.225.5.254 | 2.225.5.255 | 510 |
| 132 | 2.225.6.0/23 | 2.225.6.1 to 2.225.7.254 | 2.225.7.255 | 510 |
| 133 | 2.225.8.0/23 | 2.225.8.1 to 2.225.9.254 | 2.225.9.255 | 510 |
| 134 | 2.225.10.0/23 | 2.225.10.1 to 2.225.11.254 | 2.225.11.255 | 510 |
| 135 | 2.225.12.0/23 | 2.225.12.1 to 2.225.13.254 | 2.225.13.255 | 510 |
| 136 | 2.225.14.0/23 | 2.225.14.1 to 2.225.15.254 | 2.225.15.255 | 510 |
| 137 | 2.225.16.0/23 | 2.225.16.1 to 2.225.17.254 | 2.225.17.255 | 510 |
| 138 | 2.225.18.0/23 | 2.225.18.1 to 2.225.19.254 | 2.225.19.255 | 510 |
| 139 | 2.225.20.0/23 | 2.225.20.1 to 2.225.21.254 | 2.225.21.255 | 510 |
| 140 | 2.225.22.0/23 | 2.225.22.1 to 2.225.23.254 | 2.225.23.255 | 510 |
| 141 | 2.225.24.0/23 | 2.225.24.1 to 2.225.25.254 | 2.225.25.255 | 510 |
| 142 | 2.225.26.0/23 | 2.225.26.1 to 2.225.27.254 | 2.225.27.255 | 510 |
| 143 | 2.225.28.0/23 | 2.225.28.1 to 2.225.29.254 | 2.225.29.255 | 510 |
| 144 | 2.225.30.0/23 | 2.225.30.1 to 2.225.31.254 | 2.225.31.255 | 510 |
| 145 | 2.225.32.0/23 | 2.225.32.1 to 2.225.33.254 | 2.225.33.255 | 510 |
| 146 | 2.225.34.0/23 | 2.225.34.1 to 2.225.35.254 | 2.225.35.255 | 510 |
| 147 | 2.225.36.0/23 | 2.225.36.1 to 2.225.37.254 | 2.225.37.255 | 510 |
| 148 | 2.225.38.0/23 | 2.225.38.1 to 2.225.39.254 | 2.225.39.255 | 510 |
| 149 | 2.225.40.0/23 | 2.225.40.1 to 2.225.41.254 | 2.225.41.255 | 510 |
| 150 | 2.225.42.0/23 | 2.225.42.1 to 2.225.43.254 | 2.225.43.255 | 510 |
| 151 | 2.225.44.0/23 | 2.225.44.1 to 2.225.45.254 | 2.225.45.255 | 510 |
| 152 | 2.225.46.0/23 | 2.225.46.1 to 2.225.47.254 | 2.225.47.255 | 510 |
| 153 | 2.225.48.0/23 | 2.225.48.1 to 2.225.49.254 | 2.225.49.255 | 510 |
| 154 | 2.225.50.0/23 | 2.225.50.1 to 2.225.51.254 | 2.225.51.255 | 510 |
| 155 | 2.225.52.0/23 | 2.225.52.1 to 2.225.53.254 | 2.225.53.255 | 510 |
| 156 | 2.225.54.0/23 | 2.225.54.1 to 2.225.55.254 | 2.225.55.255 | 510 |
| 157 | 2.225.56.0/23 | 2.225.56.1 to 2.225.57.254 | 2.225.57.255 | 510 |
| 158 | 2.225.58.0/23 | 2.225.58.1 to 2.225.59.254 | 2.225.59.255 | 510 |
| 159 | 2.225.60.0/23 | 2.225.60.1 to 2.225.61.254 | 2.225.61.255 | 510 |
| 160 | 2.225.62.0/23 | 2.225.62.1 to 2.225.63.254 | 2.225.63.255 | 510 |
| 161 | 2.225.64.0/23 | 2.225.64.1 to 2.225.65.254 | 2.225.65.255 | 510 |
| 162 | 2.225.66.0/23 | 2.225.66.1 to 2.225.67.254 | 2.225.67.255 | 510 |
| 163 | 2.225.68.0/23 | 2.225.68.1 to 2.225.69.254 | 2.225.69.255 | 510 |
| 164 | 2.225.70.0/23 | 2.225.70.1 to 2.225.71.254 | 2.225.71.255 | 510 |
| 165 | 2.225.72.0/23 | 2.225.72.1 to 2.225.73.254 | 2.225.73.255 | 510 |
| 166 | 2.225.74.0/23 | 2.225.74.1 to 2.225.75.254 | 2.225.75.255 | 510 |
| 167 | 2.225.76.0/23 | 2.225.76.1 to 2.225.77.254 | 2.225.77.255 | 510 |
| 168 | 2.225.78.0/23 | 2.225.78.1 to 2.225.79.254 | 2.225.79.255 | 510 |
| 169 | 2.225.80.0/23 | 2.225.80.1 to 2.225.81.254 | 2.225.81.255 | 510 |
| 170 | 2.225.82.0/23 | 2.225.82.1 to 2.225.83.254 | 2.225.83.255 | 510 |
| 171 | 2.225.84.0/23 | 2.225.84.1 to 2.225.85.254 | 2.225.85.255 | 510 |
| 172 | 2.225.86.0/23 | 2.225.86.1 to 2.225.87.254 | 2.225.87.255 | 510 |
| 173 | 2.225.88.0/23 | 2.225.88.1 to 2.225.89.254 | 2.225.89.255 | 510 |
| 174 | 2.225.90.0/23 | 2.225.90.1 to 2.225.91.254 | 2.225.91.255 | 510 |
| 175 | 2.225.92.0/23 | 2.225.92.1 to 2.225.93.254 | 2.225.93.255 | 510 |
| 176 | 2.225.94.0/23 | 2.225.94.1 to 2.225.95.254 | 2.225.95.255 | 510 |
| 177 | 2.225.96.0/23 | 2.225.96.1 to 2.225.97.254 | 2.225.97.255 | 510 |
| 178 | 2.225.98.0/23 | 2.225.98.1 to 2.225.99.254 | 2.225.99.255 | 510 |
| 179 | 2.225.100.0/23 | 2.225.100.1 to 2.225.101.254 | 2.225.101.255 | 510 |
| 180 | 2.225.102.0/23 | 2.225.102.1 to 2.225.103.254 | 2.225.103.255 | 510 |
| 181 | 2.225.104.0/23 | 2.225.104.1 to 2.225.105.254 | 2.225.105.255 | 510 |
| 182 | 2.225.106.0/23 | 2.225.106.1 to 2.225.107.254 | 2.225.107.255 | 510 |
| 183 | 2.225.108.0/23 | 2.225.108.1 to 2.225.109.254 | 2.225.109.255 | 510 |
| 184 | 2.225.110.0/23 | 2.225.110.1 to 2.225.111.254 | 2.225.111.255 | 510 |
| 185 | 2.225.112.0/23 | 2.225.112.1 to 2.225.113.254 | 2.225.113.255 | 510 |
| 186 | 2.225.114.0/23 | 2.225.114.1 to 2.225.115.254 | 2.225.115.255 | 510 |
| 187 | 2.225.116.0/23 | 2.225.116.1 to 2.225.117.254 | 2.225.117.255 | 510 |
| 188 | 2.225.118.0/23 | 2.225.118.1 to 2.225.119.254 | 2.225.119.255 | 510 |
| 189 | 2.225.120.0/23 | 2.225.120.1 to 2.225.121.254 | 2.225.121.255 | 510 |
| 190 | 2.225.122.0/23 | 2.225.122.1 to 2.225.123.254 | 2.225.123.255 | 510 |
| 191 | 2.225.124.0/23 | 2.225.124.1 to 2.225.125.254 | 2.225.125.255 | 510 |
| 192 | 2.225.126.0/23 | 2.225.126.1 to 2.225.127.254 | 2.225.127.255 | 510 |
| 193 | 2.225.128.0/23 | 2.225.128.1 to 2.225.129.254 | 2.225.129.255 | 510 |
| 194 | 2.225.130.0/23 | 2.225.130.1 to 2.225.131.254 | 2.225.131.255 | 510 |
| 195 | 2.225.132.0/23 | 2.225.132.1 to 2.225.133.254 | 2.225.133.255 | 510 |
| 196 | 2.225.134.0/23 | 2.225.134.1 to 2.225.135.254 | 2.225.135.255 | 510 |
| 197 | 2.225.136.0/23 | 2.225.136.1 to 2.225.137.254 | 2.225.137.255 | 510 |
| 198 | 2.225.138.0/23 | 2.225.138.1 to 2.225.139.254 | 2.225.139.255 | 510 |
| 199 | 2.225.140.0/23 | 2.225.140.1 to 2.225.141.254 | 2.225.141.255 | 510 |
| 200 | 2.225.142.0/23 | 2.225.142.1 to 2.225.143.254 | 2.225.143.255 | 510 |
| 201 | 2.225.144.0/23 | 2.225.144.1 to 2.225.145.254 | 2.225.145.255 | 510 |
| 202 | 2.225.146.0/23 | 2.225.146.1 to 2.225.147.254 | 2.225.147.255 | 510 |
| 203 | 2.225.148.0/23 | 2.225.148.1 to 2.225.149.254 | 2.225.149.255 | 510 |
| 204 | 2.225.150.0/23 | 2.225.150.1 to 2.225.151.254 | 2.225.151.255 | 510 |
| 205 | 2.225.152.0/23 | 2.225.152.1 to 2.225.153.254 | 2.225.153.255 | 510 |
| 206 | 2.225.154.0/23 | 2.225.154.1 to 2.225.155.254 | 2.225.155.255 | 510 |
| 207 | 2.225.156.0/23 | 2.225.156.1 to 2.225.157.254 | 2.225.157.255 | 510 |
| 208 | 2.225.158.0/23 | 2.225.158.1 to 2.225.159.254 | 2.225.159.255 | 510 |
| 209 | 2.225.160.0/23 | 2.225.160.1 to 2.225.161.254 | 2.225.161.255 | 510 |
| 210 | 2.225.162.0/23 | 2.225.162.1 to 2.225.163.254 | 2.225.163.255 | 510 |
| 211 | 2.225.164.0/23 | 2.225.164.1 to 2.225.165.254 | 2.225.165.255 | 510 |
| 212 | 2.225.166.0/23 | 2.225.166.1 to 2.225.167.254 | 2.225.167.255 | 510 |
| 213 | 2.225.168.0/23 | 2.225.168.1 to 2.225.169.254 | 2.225.169.255 | 510 |
| 214 | 2.225.170.0/23 | 2.225.170.1 to 2.225.171.254 | 2.225.171.255 | 510 |
| 215 | 2.225.172.0/23 | 2.225.172.1 to 2.225.173.254 | 2.225.173.255 | 510 |
| 216 | 2.225.174.0/23 | 2.225.174.1 to 2.225.175.254 | 2.225.175.255 | 510 |
| 217 | 2.225.176.0/23 | 2.225.176.1 to 2.225.177.254 | 2.225.177.255 | 510 |
| 218 | 2.225.178.0/23 | 2.225.178.1 to 2.225.179.254 | 2.225.179.255 | 510 |
| 219 | 2.225.180.0/23 | 2.225.180.1 to 2.225.181.254 | 2.225.181.255 | 510 |
| 220 | 2.225.182.0/23 | 2.225.182.1 to 2.225.183.254 | 2.225.183.255 | 510 |
| 221 | 2.225.184.0/23 | 2.225.184.1 to 2.225.185.254 | 2.225.185.255 | 510 |
| 222 | 2.225.186.0/23 | 2.225.186.1 to 2.225.187.254 | 2.225.187.255 | 510 |
| 223 | 2.225.188.0/23 | 2.225.188.1 to 2.225.189.254 | 2.225.189.255 | 510 |
| 224 | 2.225.190.0/23 | 2.225.190.1 to 2.225.191.254 | 2.225.191.255 | 510 |
| 225 | 2.225.192.0/23 | 2.225.192.1 to 2.225.193.254 | 2.225.193.255 | 510 |
| 226 | 2.225.194.0/23 | 2.225.194.1 to 2.225.195.254 | 2.225.195.255 | 510 |
| 227 | 2.225.196.0/23 | 2.225.196.1 to 2.225.197.254 | 2.225.197.255 | 510 |
| 228 | 2.225.198.0/23 | 2.225.198.1 to 2.225.199.254 | 2.225.199.255 | 510 |
| 229 | 2.225.200.0/23 | 2.225.200.1 to 2.225.201.254 | 2.225.201.255 | 510 |
| 230 | 2.225.202.0/23 | 2.225.202.1 to 2.225.203.254 | 2.225.203.255 | 510 |
| 231 | 2.225.204.0/23 | 2.225.204.1 to 2.225.205.254 | 2.225.205.255 | 510 |
| 232 | 2.225.206.0/23 | 2.225.206.1 to 2.225.207.254 | 2.225.207.255 | 510 |
| 233 | 2.225.208.0/23 | 2.225.208.1 to 2.225.209.254 | 2.225.209.255 | 510 |
| 234 | 2.225.210.0/23 | 2.225.210.1 to 2.225.211.254 | 2.225.211.255 | 510 |
| 235 | 2.225.212.0/23 | 2.225.212.1 to 2.225.213.254 | 2.225.213.255 | 510 |
| 236 | 2.225.214.0/23 | 2.225.214.1 to 2.225.215.254 | 2.225.215.255 | 510 |
| 237 | 2.225.216.0/23 | 2.225.216.1 to 2.225.217.254 | 2.225.217.255 | 510 |
| 238 | 2.225.218.0/23 | 2.225.218.1 to 2.225.219.254 | 2.225.219.255 | 510 |
| 239 | 2.225.220.0/23 | 2.225.220.1 to 2.225.221.254 | 2.225.221.255 | 510 |
| 240 | 2.225.222.0/23 | 2.225.222.1 to 2.225.223.254 | 2.225.223.255 | 510 |
| 241 | 2.225.224.0/23 | 2.225.224.1 to 2.225.225.254 | 2.225.225.255 | 510 |
| 242 | 2.225.226.0/23 | 2.225.226.1 to 2.225.227.254 | 2.225.227.255 | 510 |
| 243 | 2.225.228.0/23 | 2.225.228.1 to 2.225.229.254 | 2.225.229.255 | 510 |
| 244 | 2.225.230.0/23 | 2.225.230.1 to 2.225.231.254 | 2.225.231.255 | 510 |
| 245 | 2.225.232.0/23 | 2.225.232.1 to 2.225.233.254 | 2.225.233.255 | 510 |
| 246 | 2.225.234.0/23 | 2.225.234.1 to 2.225.235.254 | 2.225.235.255 | 510 |
| 247 | 2.225.236.0/23 | 2.225.236.1 to 2.225.237.254 | 2.225.237.255 | 510 |
| 248 | 2.225.238.0/23 | 2.225.238.1 to 2.225.239.254 | 2.225.239.255 | 510 |
| 249 | 2.225.240.0/23 | 2.225.240.1 to 2.225.241.254 | 2.225.241.255 | 510 |
| 250 | 2.225.242.0/23 | 2.225.242.1 to 2.225.243.254 | 2.225.243.255 | 510 |
| 251 | 2.225.244.0/23 | 2.225.244.1 to 2.225.245.254 | 2.225.245.255 | 510 |
| 252 | 2.225.246.0/23 | 2.225.246.1 to 2.225.247.254 | 2.225.247.255 | 510 |
| 253 | 2.225.248.0/23 | 2.225.248.1 to 2.225.249.254 | 2.225.249.255 | 510 |
| 254 | 2.225.250.0/23 | 2.225.250.1 to 2.225.251.254 | 2.225.251.255 | 510 |
| 255 | 2.225.252.0/23 | 2.225.252.1 to 2.225.253.254 | 2.225.253.255 | 510 |
| 256 | 2.225.254.0/23 | 2.225.254.1 to 2.225.255.254 | 2.225.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |